import axios from 'axios';

/**
 * @async
 * Call for csrf cookie. This cookie is the user session identifier and
 * must be sent during the login process.
 * @returns {string} csrf cookie
 */
export const fetchCookie = async (): Promise<string> =>
  axios('/api/web/csrf').then((res) => res.data.token);
