import axios from 'axios';

/**
 * @async
 * Ask the server if the user is authenticated.
 * @returns {boolean} true or false if the user is authenticated.
 */
export const isAuthenticated = async (): Promise<boolean> =>
  axios('/api/web/login/is_authenticated').then(
    (res) => res.data.is_authenticated,
  );
