import React, { FC } from 'react';
import { makeStyles } from '@material-ui/core/styles';
import { Tabs, Tab } from '@material-ui/core';
import LockIcon from '@material-ui/icons/Lock';

import { useHistory } from 'react-router-dom';
import { AuthRoutes } from 'api/routes';

const useStyles = makeStyles(() => ({
  tabs: {
    color: 'white',
    paddingLeft: '25px',
    paddingRight: '25px',
    paddingTop: '8px',
    paddingBottom: '35px',
  },
  tabPan: {
    paddingLeft: '56px',
    paddingRight: '56px',
  },
  tabIcon: {
    paddingRight: '10px',
    fontSize: '38px',
  },
  rightAlign: {
    marginLeft: 'auto',
    backgroundColor: '#FFFFFF',
  },
}));

export const NavBarLogin: FC = () => {
  const history = useHistory();

  const classes = useStyles();

  const [value, setValue] = React.useState('');

  const handleChange = (
    event: React.ChangeEvent<unknown>,
    newValue: string,
  ): void => {
    setValue(newValue);
    history.replace(newValue);
    console.log(newValue);
  };

  return (
    <Tabs
      textColor="primary"
      onChange={handleChange}
      value={value}
      className={classes.tabs}
      TabIndicatorProps={{ style: { display: 'none' } }}
    >
      <Tab
        value={`${AuthRoutes.dashboard}${AuthRoutes.home}`}
        label="Login"
        icon={<LockIcon className={classes.tabIcon} />}
        className={`${classes.tabPan} ${classes.rightAlign}`}
      />
    </Tabs>
  );
};
